curl --request POST \
--url https://www.anyfast.ai/v1/responses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "doubao-seed-1-6-251015",
"input": [
{
"role": "user",
"content": [
{
"type": "input_image",
"image_url": "https://ark-project.tos-cn-beijing.volces.com/doc_image/ark_demo_img_1.png"
},
{
"type": "input_text",
"text": "What is in this image?"
}
]
}
],
"stream": false,
"temperature": 1,
"top_p": 0.5,
"max_output_tokens": 2,
"reasoning": {}
}
'import requests
url = "https://www.anyfast.ai/v1/responses"
payload = {
"model": "doubao-seed-1-6-251015",
"input": [
{
"role": "user",
"content": [
{
"type": "input_image",
"image_url": "https://ark-project.tos-cn-beijing.volces.com/doc_image/ark_demo_img_1.png"
},
{
"type": "input_text",
"text": "What is in this image?"
}
]
}
],
"stream": False,
"temperature": 1,
"top_p": 0.5,
"max_output_tokens": 2,
"reasoning": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'doubao-seed-1-6-251015',
input: [
{
role: 'user',
content: [
{
type: 'input_image',
image_url: 'https://ark-project.tos-cn-beijing.volces.com/doc_image/ark_demo_img_1.png'
},
{type: 'input_text', text: 'What is in this image?'}
]
}
],
stream: false,
temperature: 1,
top_p: 0.5,
max_output_tokens: 2,
reasoning: {}
})
};
fetch('https://www.anyfast.ai/v1/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "resp_021774236829912",
"object": "response",
"created_at": 123,
"completed_at": 123,
"model": "doubao-seed-1-6-251015",
"status": "completed",
"output": [
{
"type": "message",
"role": "assistant",
"status": "completed",
"content": [
{
"type": "output_text",
"text": "The image contains 3 models: Doubao-Seed-1.8, DeepSeek-V3.2, GLM-4.7."
}
]
}
],
"usage": {
"input_tokens": 1355,
"output_tokens": 87,
"total_tokens": 1442,
"output_tokens_details": {
"reasoning_tokens": 53
}
}
}Create Response
Creates a model response using Doubao models. The input field accepts a plain string for simple text, or an array of message objects for multimodal content.
Multimodal content types: input_text, input_image, input_video, input_file.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The model to use.
doubao-seed-2.0-pro, doubao-seed-2.0-code, doubao-seed-2.0-lite, doubao-seed-2.0-mini, doubao-seed-1-8-251228, doubao-seed-1-6-flash-250828, doubao-seed-1-6-251015, doubao-seed-1-6-lite-251015, doubao-seed-1-6-vision-250815, glm-4.7 "doubao-seed-1-6-251015"
Input messages. Each item has role and content. For simple text you can also pass a plain string.
Content array item types:
input_text:{"type": "input_text", "text": "..."}input_image:{"type": "input_image", "image_url": "https://..."}input_video:{"type": "input_video", "video_url": "https://...", "fps": 1}input_file:{"type": "input_file", "file_url": "https://..."}
Show child attributes
Show child attributes
[
{
"role": "user",
"content": [
{
"type": "input_image",
"image_url": "https://ark-project.tos-cn-beijing.volces.com/doc_image/ark_demo_img_1.png"
},
{
"type": "input_text",
"text": "What is in this image?"
}
]
}
]If true, stream partial response deltas using SSE.
Sampling temperature.
0 <= x <= 21
Nucleus sampling threshold.
0 <= x <= 1Maximum number of output tokens.
x >= 1Configuration for reasoning. Example: {"effort": "high"}.
Show child attributes
Show child attributes
Response
Response generated successfully
"resp_021774236829912"
"response"
"doubao-seed-1-6-251015"
completed, failed, in_progress, incomplete "completed"
Show child attributes
Show child attributes
Show child attributes
Show child attributes